package ru.yandex.webmaster.common.sitemap;

/**
* @author aherman
*/
public class ShortSitemapInfo {
    private final long id;
    private Long indexId;
    private final Long indexIdCount;
    private final boolean fromRobotsTxt;
    private final boolean fromUser;

    public ShortSitemapInfo(long id, Long indexId, Long indexIdCount, boolean fromRobotsTxt, boolean fromUser) {
        this.id = id;
        this.indexId = indexId;
        this.indexIdCount = indexIdCount;
        this.fromRobotsTxt = fromRobotsTxt;
        this.fromUser = fromUser;
    }

    public long getId() {
        return id;
    }

    public Long getIndexId() {
        return indexId;
    }

    public void setIndexId(Long indexId) {
        this.indexId = indexId;
    }

    public boolean isFromRobotsTxt() {
        return fromRobotsTxt;
    }

    public boolean isFromUser() {
        return fromUser;
    }

    public Long getIndexIdCount() {
        return indexIdCount;
    }
}
